<section class="sketch-one">
    <div class="auto-container">
        <div class="sketch-one_inner-container">
            <div class="row clearfix">

                <!-- Content Column -->
                <div class="sketch-one_content-column col-lg-6 col-md-12 col-sm-12">
                    <div class="sketch-one_inner-column">
                        <!-- Sec Title -->
                        <div class="sec-title">
                            <?php if($settings['enable_sub_title'] === 'yes') : ?>
                            <div class="sec-title_title">
                                <?php echo elh_element_kses_intermediate($settings['sub_title']); ?>
                            </div>
                            <?php endif; ?>
                            <?php
                                $title = elh_element_kses_basic( $settings['title'] );
                                $this->add_render_attribute( 'title', 'class', 'tx-title sec-title_heading' );
                                if($settings['enable_title'] === 'yes') {
                                    printf('<%1$s %2$s>%3$s</%1$s>',
                                        tag_escape($settings['title_tag']),
                                        $this->get_render_attribute_string('title'),
                                        $title
                                    );
                                }
                            ?>

                            <?php if($settings['enable_description'] === 'yes') : ?>
                            <div class="sec-title_text">
                                <?php echo elh_element_kses_intermediate($settings['description']); ?>
                            </div>
                            <?php endif; ?>
                        </div>

                        <div class="row clearfix mt-40">
                            <?php if( $settings['enable_feature_lists'] === 'yes' ) : ?>
                            <div class="column col-lg-6 col-md-6 col-sm-12">
                                <ul class="sketch-one_list list-unstyled">
                                    <?php foreach ($settings['feature_lists'] as $list) : ?>
                                    <li>
                                    <?php \Elementor\Icons_Manager::render_icon( $list['feature_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                        <?php echo elh_element_kses_intermediate($list['title']); ?>
                                    </li>
                                    <?php endforeach; ?>
                                </ul>
                            </div>
                            <?php endif; ?>

                            <?php if( $settings['enable_feature_lists_2'] === 'yes' ) : ?>
                            <div class="column col-lg-6 col-md-6 col-sm-12">
                                <ul class="sketch-one_list list-unstyled">
                                    <?php foreach ($settings['feature_lists_2'] as $list) : ?>
                                    <li>
                                    <?php \Elementor\Icons_Manager::render_icon( $list['feature_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                        <?php echo elh_element_kses_intermediate($list['title']); ?>
                                    </li>
                                    <?php endforeach; ?>
                                </ul>
                            </div>
                            <?php endif; ?>
                        </div>

                        <?php if( $settings['enable_button'] === 'yes' ) : ?>
                        <div class="sketch-one_button-box">
                            <a class="btn-style-one theme-btn" href="<?php echo $settings['button_link']['url'] ? esc_url($settings['button_link']['url']) : ''; ?>">
                                <div class="btn-wrap">
                                    <span class="text-one">
                                        <?php echo elh_element_kses_intermediate($settings['button_text']); ?>
                                        <?php \Elementor\Icons_Manager::render_icon( $settings['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                    </span>
                                    <span class="text-two">
                                        <?php echo elh_element_kses_intermediate($settings['button_text']); ?>
                                        <?php \Elementor\Icons_Manager::render_icon( $settings['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                    </span>
                                </div>
                            </a>
                        </div>
                        <?php endif; ?>

                    </div>
                </div>

                <!-- Image Column -->
                <div class="sketch-one_image-column col-lg-6 col-md-12 col-sm-12">
                    <div class="sketch-one_image-outer">
                        <?php if(!empty( $settings['image_1']['url'] )) : ?>
                        <div class="sketch-one_image wow fadeInRight" data-wow-delay="0ms" data-wow-duration="1500ms">
                            <img src="<?php echo esc_url($settings['image_1']['url']); ?>" alt="" />
                        </div>
                        <?php endif; ?>

                        <?php if(!empty( $settings['image_2']['url'] )) : ?>
                        <div class="sketch-one_image-two wow fadeInRight" data-wow-delay="300ms" data-wow-duration="1500ms">
                            <img src="<?php echo esc_url($settings['image_2']['url']); ?>" alt="" />
                        </div>
                        <?php endif; ?>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>