<?php

    $enable_custom_link = $settings['enable_custom_link'];
    if($enable_custom_link == 'yes') {
        $custom_link = $settings['custom_link']['url'];
    } else {
        $custom_link = home_url( '/' );
    }

    // enable position
    $enable_position_absolute = $settings['enable_position_absolute'];
    if($enable_position_absolute == 'yes') {
        $position_absolute = 'position-absolute';
    } else {
        $position_absolute = '';
    }

    // enable sticky header
    $enable_sticky_header = $settings['enable_sticky_header'];
    if($enable_sticky_header == 'yes') {
        $sticky_header = 'data-txStickyHeader';
    } else {
        $sticky_header = '';
    }
?>
<header class="main-header header-style-two tx-header" <?php echo esc_attr($sticky_header); ?>>

    <!-- Header Lower -->
    <div class="header-lower">
        <div class="auto-container">
            <div class="inner-container d-flex align-items-center justify-content-between">

                <!-- Logo Box -->
                <div class="logo-box">
                    <?php if(!empty( $settings['logo']['url'] )) : ?>
                    <div class="logo">
                        <a href="<?php echo esc_url($custom_link); ?>">
                            <img src="<?php echo esc_url($settings['logo']['url']); ?>" alt="" title="">
                        </a>
                    </div>
                    <?php endif; ?>
                </div>

                <div class="nav-outer d-flex align-items-center">

                    <!-- Main Menu -->
                    <nav class="main-menu show navbar-expand-md">
                        <div class="navbar-header">
                            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>

                        <div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
                            <?php
                                $menu_args = [
                                    'menu'        => '' . $settings['select_menu'] . '',
                                    'menu_class'     => 'navigation clearfix list-unstyled',
                                    'walker'         => class_exists('Tx_Mega_Menu_Walker') ? new Tx_Mega_Menu_Walker : '',
                                    'fallback_cb'    => ['Navwalker_Class', 'fallback'],
                                    'echo'           => false,
                                ];

                                $menu = wp_nav_menu($menu_args);
                                $menu = str_replace('menu-item-has-children', 'dropdown', $menu);
                                $menu = str_replace('sub-menu', 'dropdown-menu', $menu);

                                echo wp_kses_post($menu);
                            ?>
                        </div>

                    </nav>
                    <!-- Main Menu End-->

                </div>

                <!-- Outer Box -->
                <div class="outer-box d-flex align-items-center">

                    <?php if(FUTURE_CORE_WOOCOMMERCE_ACTIVED && $settings['enable_cart_icon'] === 'yes') : ?>
                    <div class="nav-btn navSidebar-button">
                        <i class="fa-solid fa-bag-shopping"></i>
                        <span>
                        <?php
                            if (class_exists('WooCommerce') && WC()->cart) {
                                $count = WC()->cart->cart_contents_count;
                            } else {
                                $count = 0;
                            }

                            if ( $count == 0 ) {
                                echo '0';
                            } else {
                                echo '' . esc_html( $count ) . '';
                            }
                        ?>
                        </span>
                    </div>
                    <?php endif; ?>

                    <!-- Phone Box -->
                    <?php if($settings['enable_contact_info'] === 'yes') : ?>
                    <div class="header-phone_box">
                        <?php
                            if ($settings['enable_icon'] === 'yes') {
                                ?>
                                <div class="icon">
                                    <?php \Elementor\Icons_Manager::render_icon( $settings['contact_info_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                </div>
                                <?php
                            }
                            echo wp_kses($settings['contact_info_text'], true);
                         ?>
                    </div>
                    <?php endif; ?>

                    <!-- Mobile Navigation Toggler -->
                    <div class="mobile-nav-toggler">
                        <span class="icon"><img src="<?php echo get_template_directory_uri(  ); ?>/assets/img/icons/menu-light.webp" alt="" /></span>
                    </div>

                </div>
                <!-- End Outer Box -->

            </div>
        </div>
    </div>
    <!-- End Header Lower -->

    <!-- Mobile Menu  -->
    <div class="mobile-menu">
        <div class="menu-backdrop"></div>
        <div class="close-btn"><span class="icon fa-solid fa-xmark fa-fw"></span></div>
        <nav class="menu-box">
            <div class="nav-logo">
                <a href="<?php echo esc_url($custom_link); ?>">
                    <?php if($settings['enable_mobile_logo'] === 'yes') : ?>
                        <img src="<?php echo esc_url($settings['mobile_logo']['url']); ?>" alt="" title="">
                    <?php else : ?>
                        <img src="<?php echo esc_url($settings['logo']['url']); ?>" alt="" title="">
                    <?php endif; ?>
                </a>
            </div>
            <div class="menu-outer"></div>
        </nav>
    </div>
    <!-- End Mobile Menu -->

</header>