<section class="banner-one" style="background-image: url(<?php echo $settings['bg_image']['url'] ? esc_url($settings['bg_image']['url']) : ''; ?>)">

    <?php if(!empty( $settings['shape_image']['url'] )) : ?>
    <div class="banner-one_pattern" style="background-image: url(<?php echo esc_url($settings['shape_image']['url']); ?>)"></div>
    <?php endif; ?>
    <div class="auto-container">
        <!-- Content Column -->
        <div class="banner-one_content">
            <div class="banner-one_content-inner">
                <div class="banner-one_title"><?php echo elh_element_kses_intermediate($settings['sub_title']); ?></div>

                <?php
                    $title = elh_element_kses_basic( $settings['title'] );
                    $this->add_render_attribute( 'title', 'class', 'tx-title banner-one_heading' );
                    if($settings['enable_title'] === 'yes') {
                        printf('<%1$s %2$s>%3$s</%1$s>',
                            tag_escape($settings['title_tag']),
                            $this->get_render_attribute_string('title'),
                            $title
                        );
                    }
                ?>

                <?php if( $settings['enable_search_box'] === 'yes' ) : ?>
                <div class="heroTwo-search">
                    <form id="image-generate-form" class="image-generate-form">
                        <input type="text" id="message" name="message" placeholder="<?php echo esc_attr($settings['image_search_placeholder']); ?>">
                        <button type="submit" class="btn-style-two theme-btn">
                            <div class="btn-wrap">
                                <span class="text-one">
                                <?php echo esc_html($settings['search_button_text']); ?>
                                    <i aria-hidden="true" class=" flaticon-arrow-pointing-to-right"></i>
                                </span>
                                <span class="text-two">
                                <?php echo esc_html($settings['search_button_text']); ?>
                                    <i aria-hidden="true" class=" flaticon-arrow-pointing-to-right"></i>
                                </span>
                            </div>
                        </button>
                    </form>
                </div>
                <?php endif; ?>

            </div>
        </div>
    </div>
    <div class="banner-one_gallery">
        <div class="d-flex justify-content-between align-items-center flex-wrap">
            <div class="left-box">

                <?php if(!empty( $settings['image_1']['url'] )) : ?>
                <div class="image">
                    <img src="<?php echo esc_url($settings['image_1']['url']); ?>" alt="" />
                </div>
                <?php endif; ?>

                <?php if(!empty( $settings['image_2']['url'] )) : ?>
                <div class="image">
                    <img src="<?php echo esc_url($settings['image_2']['url']); ?>" alt="" />
                </div>
                <?php endif; ?>

                <?php if(!empty( $settings['image_3']['url'] )) : ?>
                <div class="image">
                    <img src="<?php echo esc_url($settings['image_3']['url']); ?>" alt="" />
                </div>
                <?php endif; ?>
            </div>
            <div class="right-box">
                <?php if(!empty( $settings['image_4']['url'] )) : ?>
                <div class="image">
                    <img src="<?php echo esc_url($settings['image_4']['url']); ?>" alt="" />
                </div>
                <?php endif; ?>

                <?php if(!empty( $settings['image_5']['url'] )) : ?>
                <div class="image">
                    <img src="<?php echo esc_url($settings['image_5']['url']); ?>" alt="" />
                </div>
                <?php endif; ?>

                <?php if(!empty( $settings['image_6']['url'] )) : ?>
                <div class="image">
                    <img src="<?php echo esc_url($settings['image_6']['url']); ?>" alt="" />
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <div class="auto-container">
        <div class="row">
                <div id="image-generate-result" class="image-generate-result"></div>
                <script>
                    var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';
                </script>

                <div id="raziul-image-gallery" class="raziul-image-gallery row"></div>
                <script>
                    jQuery(document).ready(function($) {

                        $('.slider-one_tags a').on('click', function(e) {
                            e.preventDefault();

                            var clickedTag = $(this).text();
                            var input = $('#message');
                            var currentMessage = input.val();

                            var updatedMessage = currentMessage.replace(/ \w+$/, '');

                            updatedMessage += ' ' + clickedTag;

                            input.val(updatedMessage);
                        });

                        $('#image-generate-form').on('submit', function(e) {
                            e.preventDefault();

                            var form = $(this);
                            var input = form.find('#message');
                            var message = input.val();
                            var gallery = form.next('.raziul-image-gallery');

                            // Check if the message is empty or undefined
                            if (!message || message.trim() === '') {
                                gallery.html('<p>Please enter a message.</p>');
                                return;
                            }


                            var message = $('#message').val();

                            $.ajax({
                                url: ajaxurl,
                                type: 'POST',
                                data: {
                                    action: 'image_generate_plugin_generate_images',
                                    message: message
                                },
                                beforeSend: function() {
                                    $('#raziul-image-gallery').html(`
                                        <i class="fas fa-spinner fa-spin"></i>
                                    `);
                                },
                                success: function(response) {
                                    if (response.success) {
                                        var imageUrls = response.data;
                                        var galleryHtml = '';
                                        for (var i = 0; i < imageUrls.length; i++) {
                                            galleryHtml += `
                                                <div class="col-lg-4 raziul__generat-core">
                                                    <img src="${imageUrls[i]}">
                                                </div>
                                            `;
                                        }
                                        $('#raziul-image-gallery').html(galleryHtml);
                                    } else {
                                        $('#raziul-image-gallery').html('Error: ' + response.data);
                                    }
                                },
                                error: function() {
                                    $('#raziul-image-gallery').html('An error occurred');
                                }
                            });
                        });
                    });
                </script>
            </div>
    </div>

    <?php if( $settings['enable_feature_list'] === 'yes' ) : ?>
    <div class="auto-container">
        <div class="row clearfix">

            <?php foreach($settings['feature_listS'] as $list) : ?>
            <div class="service-block_two col-lg-3 col-md-6 col-sm-12">
                <div class="service-block_two-inner wow fadeInLeft" data-wow-delay="0ms" data-wow-duration="1500ms">
                    <div class="service-block_two-image">
                        <div class="service-block_two-icon">
                            <?php \Elementor\Icons_Manager::render_icon( $list['feature_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                        </div>
                        <?php if(!empty( $list['feature_image']['url'] )) : ?>
                        <img src="<?php echo esc_url($list['feature_image']['url']); ?>" alt="" />
                        <?php endif; ?>
                    </div>
                    <div class="service-block_two-content">
                        <?php if(!empty( $list['feature_title'] )) : ?>
                        <h4 class="service-block_two-heading">
                            <a href="<?php echo esc_url($list['link']['url']); ?>">
                                <?php echo elh_element_kses_intermediate($list['feature_title']); ?>
                            </a>
                        </h4>
                        <?php endif; ?>

                        <?php if(!empty( $list['feature_description'] )) : ?>
                        <div class="service-block_two-text">
                            <?php echo elh_element_kses_intermediate($list['feature_description']); ?>
                        </div>
                        <?php endif; ?>

                        <a class="service-block_two-arrow" href="<?php echo esc_url($list['link']['url']); ?>">
                            <?php \Elementor\Icons_Manager::render_icon( $list['arrow_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                        </a>

                    </div>
                </div>
            </div>
            <?php endforeach; ?>

        </div>
    </div>
    <?php endif; ?>

</section>