<?php
    if (!empty($posts)):
    foreach ( $posts as $inx => $post ):
    $title = $post->post_title;

    if ( 'selected' === $settings['show_post_by'] && array_key_exists( $post->ID, $customize_title ) ) {
        $title = $customize_title[$post->ID];
    }

    $excerpt = $post->post_excerpt;
    if ( 'selected' === $settings['show_post_by'] && array_key_exists( $post->ID, $customize_text ) ) {
        $excerpt = $customize_text[$post->ID];
    }

    $thumb = get_the_post_thumbnail_url( $post->ID, 'large' );
    if ( 'selected' === $settings['show_post_by'] && array_key_exists( $post->ID, $customize_img ) && !empty( $customize_img[$post->ID]['url'] ) ) {
        $thumb = $customize_img[$post->ID]['url'];
    }

    $author_name = get_the_author_meta( 'display_name', $post->post_author );

    // get post categories
    $categories = get_the_category( $post->ID );
    $cat_name = '';

    if ( !empty( $categories ) ) {
        $cat_name = $categories[0]->name;
    }

    // enable default date
    $enable_default_date = $settings['enable_default_date'];

?>
<div class="news-block_one mt-70">
    <div class="news-block_one-inner">
        <div class="row clearfix">
            <!-- Image Column -->
            <div class="news-block_one-image-column col-lg-6 col-md-12 col-sm-12">
                <div class="news-block_one-image_outer wow fadeInLeft" data-wow-delay="0ms" data-wow-duration="1500ms">
                    <div class="news-block_one-image">
                        <?php if(!empty( $thumb && $settings['feature_image'] === 'yes' )) : ?>
                        <a href="<?php echo esc_url(get_the_permalink( $post->ID )); ?>">
                            <img src="<?php echo esc_url($thumb); ?>" alt="<?php if(function_exists('tf_img_alt_text')) { echo tf_img_alt_text($thumb); } ?>" />
                        </a>
                        <?php endif; ?>

                        <?php if ( 'yes' === $settings['meta'] && 'yes' === $settings['date_meta'] ): ?>
                        <div class="news-block_one-date">
                            <?php
                                if( 'yes' === $enable_default_date ) {
                                    print '<span class="mounth">'.the_time( get_option( 'date_format' ) ).'</span>';
                                } else {
                                    print '
                                    '.get_the_date( "d").'
                                    <span class="mounth">'.get_the_date( "M").'</span>';
                                }
                            ?>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="news-block_one-content-column col-lg-6 col-md-12 col-sm-12">
                <div class="news-block_one-content wow fadeInRight" data-wow-delay="0ms" data-wow-duration="1500ms">
                    <h2 class="news-block_one-heading">
                        <a href="<?php echo esc_url(get_the_permalink( $post->ID )); ?>">
                            <?php echo esc_html($title); ?>
                        </a>
                    </h2>
                    <?php if(!empty( $excerpt )) : ?>
                    <div class="news-block_one-text"><?php echo esc_html($excerpt); ?></div>
                    <?php endif; ?>

                    <div class="news-block_one-button">
                        <a class="btn-style-one theme-btn" href="<?php echo esc_url(get_the_permalink( $post->ID )); ?>">
                            <div class="btn-wrap">
                                <span class="text-one">
                                    <?php echo elh_element_kses_intermediate($settings['button_text']); ?> <i class="flaticon-arrow-pointing-to-right"></i>
                                </span>
                                <span class="text-two">
                                    <?php echo elh_element_kses_intermediate($settings['button_text']); ?> <i class="flaticon-arrow-pointing-to-right"></i>
                                </span>
                            </div>
                        </a>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php endforeach;
    else:
        printf('%1$s %2$s %3$s',
            __('No ', 'future-core'),
            esc_html($settings['post_type']),
            __('Found', 'future-core')
        );
    endif;
?>