<?php
    if ($settings['currency'] === 'custom') {
        $currency = $settings['currency_custom'];
    } else {
        $currency = self::get_currency_symbol($settings['currency']);
    }
?>
<div class="price-block_one">
    <div class="price-block_one-inner">
        <div class="price-block_one-title_outer">
            <?php if(!empty( $settings['badge_text'] )) : ?>
            <div class="price-block_one-title"><?php echo elh_element_kses_intermediate( $settings['badge_text'] ); ?></div>
            <?php endif; ?>
        </div>

        <?php if(!empty( $settings['price'] )) : ?>
        <div class="price-block_one-price"><?php if(!empty( $currency )) : ?><sup><?php echo esc_html($currency); ?></sup><?php endif; ?><?php echo esc_html($settings['price']); ?></div>
        <?php endif; ?>

        <?php if(!empty( $settings['pricing_title'] )) : ?>
        <div class="price-block_one-subtitle"><?php echo elh_element_kses_intermediate( $settings['pricing_title'] ); ?></div>
        <?php endif; ?>

        <?php if(!empty( $settings['pricing_description'] )) : ?>
        <div class="price-block_one-text"><?php echo elh_element_kses_intermediate( $settings['pricing_description'] ); ?></div>
        <?php endif; ?>

        <ul class="price-block_one-list list-unstyled mt-30">
            <?php foreach($settings['package_feature_lists'] as $list) : ?>
            <li>
                <?php \Elementor\Icons_Manager::render_icon( $list['package_feature_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                <?php echo esc_html($list['package_feature_title']);?>
            </li>
            <?php endforeach; ?>
        </ul>

        <?php if(!empty($settings['button_text'])):?>
        <div class="price-block_one-button">
            <a class="btn-style-one theme-btn" href="<?php echo esc_url($settings['button_link']['url']);?>">
                <div class="btn-wrap">
                    <span class="text-one">
                        <?php echo esc_html($settings['button_text']);?>
                        <i class="flaticon-arrow-pointing-to-right"></i>
                    </span>
                    <span class="text-two">
                        <?php echo esc_html($settings['button_text']);?>
                        <?php \Elementor\Icons_Manager::render_icon( $settings['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                    </span>
                </div>
            </a>
        </div>
        <?php endif;?>
    </div>
</div>