<?php
    $rand = rand(1000, 9999);
?>
<div class="price-info-tabs">
    <!-- Seo Tabs -->
    <div class="price-tabs tabs-box">

        <!-- Tab Btns -->
        <ul class="tab-btns tab-buttons clearfix list-unstyled">
            <?php
                foreach ($settings['pricingTab_lists'] as $id => $list):
                $is_active = $list['is_active'] == 'yes' ? 'active-block' : '';
            ?>
            <li data-tab="#price-<?php echo esc_attr($id. '_' .$rand); ?>" class="tab-btn <?php echo esc_attr($is_active); ?>">
                <?php echo elh_element_kses_intermediate($list['tab_title']); ?>
            </li>
            <?php endforeach; ?>
        </ul>

        <!-- Tabs Container -->
        <div class="tabs-content">
            <?php
                foreach ($settings['pricingTab_lists'] as $id => $list):
                $is_active = $list['is_active'] == 'yes' ? 'active-tab' : '';
                if ($list['currency'] === 'custom') {
                    $currency = $list['currency_custom'];
                } else {
                    $currency = self::get_currency_symbol($list['currency']);
                }
            ?>
            <div class="tab <?php echo esc_attr($is_active); ?>" id="price-<?php echo esc_attr($id. '_' .$rand); ?>">
                <div class="content">
                    <?php if(!empty( $list['price_image']['url'] )) : ?>
                    <div class="price-two_image">
                        <img src="<?php echo esc_url($list['price_image']['url']); ?>" alt="" />
                    </div>
                    <?php endif; ?>
                    <div class="price-two_content">
                        <div class="price-two_price"><sup><?php echo esc_html($currency); ?></sup><?php echo esc_html($list['price']); ?></div>
                        <?php if(!empty( $list['pricing_title'] )) : ?>
                        <div class="price-two_query"><?php echo elh_element_kses_intermediate( $list['pricing_title'] ); ?></div>
                        <?php endif; ?>

                        <?php if(!empty( $list['pricing_description'] )) : ?>
                        <div class="price-two_text"><?php echo elh_element_kses_intermediate( $list['pricing_description'] ); ?></div>
                        <?php endif; ?>

                        <ul class="price-two_list list-unstyled">
                            <?php
                                $list_item = $list['package_feature_lists'];
                                $list_item = explode("\n", ($list_item));
                                foreach($list_item as $feature_list):
                            ?>
                            <li>
                            <?php \Elementor\Icons_Manager::render_icon( $list['package_feature_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                <?php echo wp_kses($feature_list, true)?>
                            </li>
                            <?php endforeach; ?>
                        </ul>

                        <?php if(!empty($list['button_text'])):?>
                        <div class="price-two_button">
                            <a class="btn-style-two theme-btn" href="<?php echo esc_url($list['button_link']['url']);?>">
                                <div class="btn-wrap">
                                    <span class="text-one">
                                        <?php echo esc_html($list['button_text']);?>
                                        <?php \Elementor\Icons_Manager::render_icon( $list['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                    </span>
                                    <span class="text-two">
                                        <?php echo esc_html($list['button_text']);?>
                                        <?php \Elementor\Icons_Manager::render_icon( $list['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                    </span>
                                </div>
                            </a>
                        </div>
                        <?php endif;?>
                    </div>
                </div>
            </div>
            <?php endforeach; ?>
        </div>
    </div>
</div>