<div class="team-one" style="background-image: url(<?php echo $settings['image_1']['url'] ? esc_url($settings['image_1']['url']) : ''; ?>)">
    <div class="auto-container">
        <div class="row clearfix">

            <!-- Title Column -->
            <div class="team-one_title-column col-lg-6 col-md-12 col-sm-12">
                <div class="team-one_title-outer">
                    <!-- Sec Title -->
                    <div class="sec-title">
                        <?php if($settings['enable_sub_title'] === 'yes') : ?>
                        <div class="sec-title_title">
                            <?php echo elh_element_kses_intermediate($settings['sub_title']); ?>
                        </div>
                        <?php endif; ?>

                        <?php
                            $title = elh_element_kses_basic( $settings['title'] );
                            $this->add_render_attribute( 'title', 'class', 'tx-title sec-title_heading' );
                            if($settings['enable_title'] === 'yes') {
                                printf('<%1$s %2$s>%3$s</%1$s>',
                                    tag_escape($settings['title_tag']),
                                    $this->get_render_attribute_string('title'),
                                    $title
                                );
                            }
                        ?>

                        <?php if($settings['enable_description'] === 'yes') : ?>
                        <div class="sec-title_text">
                            <?php echo elh_element_kses_intermediate($settings['description']); ?>
                        </div>
                        <?php endif; ?>
                    </div>

                    <?php if( $settings['enable_button'] === 'yes' ) : ?>
                    <div class="team-one_button mt-40">
                        <a class="btn-style-one theme-btn" href="<?php echo $settings['button_link']['url'] ? esc_url($settings['button_link']['url']) : ''; ?>">
                            <div class="btn-wrap">
                                <span class="text-one">
                                    <?php echo elh_element_kses_intermediate($settings['button_text']); ?>
                                    <?php \Elementor\Icons_Manager::render_icon( $settings['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                </span>
                                <span class="text-two">
                                    <?php echo elh_element_kses_intermediate($settings['button_text']); ?>
                                    <?php \Elementor\Icons_Manager::render_icon( $settings['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                </span>
                            </div>
                        </a>
                    </div>
                    <?php endif; ?>

                </div>
            </div>

            <!-- Carousel Column -->
            <div class="team-one_carousel-column col-lg-6 col-md-12 col-sm-12">
                <div class="team-one_carousel-outer">
                    <div class="team-carousel swiper-container">
                        <div class="swiper-wrapper">

                            <?php foreach($settings['service_slides'] as $list) :  ?>
                            <div class="swiper-slide">
                                <div class="team-block_one">
                                    <div class="team-block_one-inner">
                                        <div class="team-block_one-image">
                                            <?php if(!empty( $list['image']['url'] )) : ?>
                                            <img src="<?php echo esc_url($list['image']['url']); ?>" alt="" />
                                            <?php endif; ?>
                                            <div class="team-block_one-content">
                                                <h5 class="team-block_one-heading">
                                                    <a href="<?php echo esc_url($list['button_link']['url']) ?>">
                                                        <?php echo elh_element_kses_intermediate($list['title']); ?>
                                                    </a>
                                                </h5>
                                                <?php if(!empty( $list['button_text'] )) : ?>
                                                <div class="team-block_one-designation">
                                                    <?php echo elh_element_kses_intermediate($list['button_text']); ?>
                                                </div>
                                                <?php endif; ?>
                                                <a class="team-block_one-link" href="<?php echo esc_url($list['button_link']['url']) ?>">
                                                    <?php \Elementor\Icons_Manager::render_icon( $list['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php endforeach; ?>

                        </div>

                        <!-- If we need pagination -->
                        <?php if( $settings['enable_pagination'] === 'yes' ) : ?>
                        <div class="team-one_pagination"></div>
                        <?php endif; ?>

                        <?php if(!empty( $settings['enable_slide_nav'] === 'yes' )) : ?>
                        <div class="team-one_navigations">
                            <div class="team-one_button-prev fas fa-arrow-left fa-fw"></div>
                            <div class="team-one_button-next fas fa-arrow-right fa-fw"></div>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>