<?php
    $rand = rand(1000, 9999);
?>
<div class="video-one">
    <div class="video-one_inner wow fadeInRight" data-wow-delay="0ms" data-wow-duration="1500ms">
        <div class="video-one_title-box">
            <?php if($settings['enable_sub_title'] === 'yes') : ?>
            <div class="sec-title_title">
                <?php echo elh_element_kses_intermediate($settings['sub_title']); ?>
            </div>
            <?php endif; ?>

            <?php
                $title = elh_element_kses_basic( $settings['title'] );
                $this->add_render_attribute( 'title', 'class', 'tx-title video-one_title' );
                if($settings['enable_title'] === 'yes') {
                    printf('<%1$s %2$s>%3$s</%1$s>',
                        tag_escape($settings['title_tag']),
                        $this->get_render_attribute_string('title'),
                        $title
                    );
                }
            ?>

            <?php if($settings['enable_description'] === 'yes') : ?>
            <div class="video-one_text">
                <?php echo elh_element_kses_intermediate($settings['description']); ?>
            </div>
            <?php endif; ?>
        </div>
        <!-- Video Info Tabs -->
        <div class="video-info-tabs">
            <!-- Video Tabs -->
            <div class="video-tabs tabs-box">

                <!-- Tab Btns -->
                <ul class="tab-btns tab-buttons clearfix list-unstyled">
                    <?php
                        foreach( $settings['list_items'] as $id => $list ) :
                        $active = ($id == 0) ? 'active-btn' : '';
                    ?>
                    <li data-tab="#tab_<?php echo esc_attr($id . $rand); ?>" class="tab-btn <?php echo esc_attr($active) ?>">
                        <?php if($list['enable_icon'] === 'yes') : ?>
                            <?php if($list['type'] == 'icon') : ?>
                                <?php \Elementor\Icons_Manager::render_icon( $list['list_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                            <?php else : ?>
                                <img src="<?php echo esc_url($list['list_image']['url']); ?>" alt="" />
                            <?php endif; ?>
                        <?php endif; ?>
                    </li>
                    <?php endforeach; ?>
                </ul>

                <!-- Tabs Container -->
                <div class="tabs-content">

                    <?php
                        foreach( $settings['list_items'] as $id => $list ) :

                        $active = ($id == 0) ? 'active-tab' : '';
                    ?>
                    <div class="tab <?php echo esc_attr($active) ?>" id="tab_<?php echo esc_attr($id . $rand); ?>">
                        <div class="content">
                            <?php if(!empty( $list['banner_image']['url'] )) : ?>
                            <div class="image">
                                <img src="<?php echo esc_url($list['banner_image']['url']); ?>" alt="" />
                            </div>
                            <?php endif; ?>

                            <?php if( $settings['enable_button'] === 'yes' ) : ?>
                            <div class="video-one_button">
                                <a class="btn-style-one theme-btn" href="<?php echo $list['info_link']['url'] ? esc_url($list['info_link']['url']) : ''; ?>">
                                    <div class="btn-wrap">
                                        <span class="text-one">
                                            <?php echo elh_element_kses_intermediate($list['info_label']); ?>
                                            <?php \Elementor\Icons_Manager::render_icon( $list['info_link_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                        </span>
                                        <span class="text-two">
                                            <?php echo elh_element_kses_intermediate($list['info_label']); ?>
                                            <?php \Elementor\Icons_Manager::render_icon( $list['info_link_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                        </span>
                                    </div>
                                </a>
                            </div>
                            <?php endif; ?>

                        </div>
                    </div>
                    <?php endforeach; ?>

                </div>
            </div>
        </div>
    </div>
</div>