<?php
    $rand = rand(1000, 9999);
?>
<section class="seo-one">
    <div class="auto-container">
        <div class="row clearfix">

            <!-- Title Column -->
            <div class="seo-one_title-column col-lg-4 col-md-12 col-sm-12">
                <div class="seo-one_title-outer">
                    <!-- Sec Title -->
                    <div class="sec-title_two light">
                        <?php if($settings['enable_sub_title'] === 'yes') : ?>
                        <div class="sec-title_two-title"><?php echo elh_element_kses_intermediate($settings['sub_title']); ?></div>
                        <?php endif; ?>

                        <?php
                            $title = elh_element_kses_basic( $settings['title'] );
                            $this->add_render_attribute( 'title', 'class', 'tx-title sec-title_two-heading' );
                            if($settings['enable_title'] === 'yes') {
                                printf('<%1$s %2$s>%3$s</%1$s>',
                                    tag_escape($settings['title_tag']),
                                    $this->get_render_attribute_string('title'),
                                    $title
                                );
                            }
                        ?>
                    </div>
                    <?php if( $settings['enable_feature_lists'] === 'yes' ) : ?>
                    <ul class="sketch-one_list list-unstyled mt-30">
                        <?php foreach ($settings['feature_lists'] as $list) : ?>
                        <li>
                        <?php \Elementor\Icons_Manager::render_icon( $list['feature_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                            <?php echo elh_element_kses_intermediate($list['title']); ?>
                        </li>
                        <?php endforeach; ?>
                    </ul>
                    <?php endif; ?>

                    <?php if( $settings['enable_button'] === 'yes' ) : ?>
                    <div class="seo-one_button">
                        <a class="btn-style-two theme-btn" href="<?php echo $settings['button_link']['url'] ? esc_url($settings['button_link']['url']) : ''; ?>">
                            <div class="btn-wrap">
                                <span class="text-one">
                                    <?php echo elh_element_kses_intermediate($settings['button_text']); ?>
                                    <?php \Elementor\Icons_Manager::render_icon( $settings['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                </span>
                                <span class="text-two">
                                    <?php echo elh_element_kses_intermediate($settings['button_text']); ?>
                                    <?php \Elementor\Icons_Manager::render_icon( $settings['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                </span>
                            </div>
                        </a>
                    </div>
                    <?php endif; ?>
                </div>
            </div>

            <!-- Tab Column -->
            <div class="seo-one_tab-column col-lg-8 col-md-12 col-sm-12">
                <div class="seo-one_tab-outer">

                    <!-- Seo Info Tabs -->
                    <div class="seo-info-tabs">
                        <!-- Seo Tabs -->
                        <div class="seo-tabs tabs-box">

                            <!-- Tabs Container -->
                            <div class="tabs-content">

                                <?php
                                    foreach( $settings['list_items'] as $id => $list ) :
                                    $active = ($id == 0) ? 'active-tab' : '';
                                ?>
                                <div class="tab <?php echo esc_attr($active) ?>" id="seo-<?php echo esc_attr($id . $rand); ?>">
                                    <div class="content">
                                    <?php if(!empty( $list['banner_image']['url'] )) : ?>
                                    <div class="image">
                                        <img src="<?php echo esc_url($list['banner_image']['url']); ?>" alt="" />
                                    </div>
                                    <?php endif; ?>
                                    </div>
                                </div>
                                <?php endforeach; ?>

                            </div>
                            <div class="text-center">
                                <!-- Tab Btns -->
                                <ul class="tab-btns tab-buttons clearfix">
                                    <?php
                                        foreach( $settings['list_items'] as $id => $list ) :
                                        $active = ($id == 0) ? 'active-btn' : '';
                                    ?>
                                    <li data-tab="#seo-<?php echo esc_attr($id . $rand); ?>" class="tab-btn <?php echo esc_attr($active) ?>">
                                        <?php echo elh_element_kses_intermediate($list['info_label']); ?>
                                    </li>
                                    <?php endforeach; ?>
                                </ul>
                            </div>

                        </div>
                    </div>

                </div>
            </div>

        </div>
    </div>
</section>