<?php

CSF::createSection( $prefix . '_theme_options', [
    'title'  => esc_html__( '404 Page Layout', 'future-core' ),
    'parent' => 'theme_layout',
    'priority' => 4,
    'fields' => [
        [
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( '404 Page Layout', 'future-core' ) . '</h3>',
        ],
        // bg_image
        [
            'id'    => 'tx_error_bg_image',
            'type'  => 'media',
            'title' => esc_html__( 'Error Code Background Image', 'future-core' ),
            'default' => get_template_directory_uri() . '/assets/img/feature/feature-bg-img-1.png',
            'desc'  => esc_html__( 'Upload your background image', 'future-core' ),
            'help'  => esc_html__( 'This image will be used as background image for 404 page.', 'future-core' ),
        ],
        [
            'id'    => 'tx_error_image',
            'type'  => 'media',
            'title' => esc_html__( 'Error Code Image', 'future-core' ),
            'default' => get_template_directory_uri() . '/assets/img/cta/error-404.png',
        ],
        [
            'id'      => 'tx_error_title',
            'type'    => 'text',
            'title'   => esc_html__( '404 Title', 'future-core' ),
            'default' => esc_html__( 'Oops! Page Not found.', 'future-core' ),
        ],
        [
            'id'      => 'tx_error_desc',
            'type'    => 'textarea',
            'title'   => esc_html__( '404 Title', 'future-core' ),
            'default' => esc_html__( 'Pellentesque adipiscing commodo elit at imperdiet dui. Sit amet nisl suscipit
            Iaculis phasellus vestibulum lorem.', 'future-core' ),
        ],
        [
            'id'      => 'tx_error_link_text',
            'type'    => 'text',
            'title'   => esc_html__( '404 Button', 'future-core' ),
            'default' => esc_html__( 'Go Back to Home ', 'future-core' ),
        ],
        // button icon
        [
            'id'      => 'tx_error_button_icon',
            'type'    => 'icon',
            'title'   => esc_html__( '404 Button Icon', 'future-core' ),
            'default' => 'fas fa-long-arrow-alt-right',
        ],
    ],
] );