<?php

CSF::createSection( $prefix . '_theme_options', [
    'title'  => esc_html__( 'Color Settings', 'future-core' ),
    'parent' => 'theme_settings',
    'priority' => 2,
    'fields' => [
        [
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( 'Color Settings', 'future-core' ) . '</h3>',
        ],
        [
            'id'      => 'theme_primary_color',
            'type'    => 'color',
            'title'   => 'Theme Primary Color',
            'default' => '#a488f6',
        ],
        // main color 2
        [
            'id'      => 'theme_secondary_color',
            'type'    => 'color',
            'title'   => 'Theme Secondary Color',
            'default' => '#9346f5',
        ],

        // heading
        [
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( 'Theme Gradient 1', 'future-core' ) . '</h3>',
        ],
        [
            'id'      => 'theme_gradient_1_1',
            'type'    => 'color',
            'title'   => 'Color 1',
            'default' => '#8DE7E5',
        ],
        [
            'id'      => 'theme_gradient_1_2',
            'type'    => 'color',
            'title'   => 'Color 2',
            'default' => '#F7D98F',
        ],
        [
            'id'      => 'theme_gradient_1_3',
            'type'    => 'color',
            'title'   => 'Color 3',
            'default' => '#F497CF',
        ],
        [
            'id'      => 'theme_gradient_1_4',
            'type'    => 'color',
            'title'   => 'Color 4',
            'default' => '#9190f6',
        ],

        [
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( 'Theme Gradient 2', 'future-core' ) . '</h3>',
        ],

        [
            'id'      => 'theme_gradient_2_1',
            'type'    => 'color',
            'title'   => 'Color 1',
            'default' => '#3A86F5',
        ],
        [
            'id'      => 'theme_gradient_2_2',
            'type'    => 'color',
            'title'   => 'Color 2',
            'default' => '#9346F5',
        ],
        [
            'id'      => 'theme_gradient_2_3',
            'type'    => 'color',
            'title'   => 'Color 3',
            'default' => '#EA3592',
        ],
        [
            'id'      => 'theme_gradient_2_4',
            'type'    => 'color',
            'title'   => 'Color 4',
            'default' => '#feb702',
        ],

        [
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( 'Theme Gradient 3', 'future-core' ) . '</h3>',
        ],

        [
            'id'      => 'theme_gradient_3_1',
            'type'    => 'color',
            'title'   => 'Color 1',
            'default' => '#3A86F5',
        ],
        [
            'id'      => 'theme_gradient_3_2',
            'type'    => 'color',
            'title'   => 'Color 2',
            'default' => '#9346F5',
        ],
        [
            'id'      => 'theme_gradient_3_3',
            'type'    => 'color',
            'title'   => 'Color 3',
            'default' => '#EA3592',
        ],
        [
            'id'      => 'theme_gradient_3_4',
            'type'    => 'color',
            'title'   => 'Color 4',
            'default' => '#feb702',
        ],


        [
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( 'Theme Gradient 4', 'future-core' ) . '</h3>',
        ],

        [
            'id'      => 'theme_gradient_4_1',
            'type'    => 'color',
            'title'   => 'Color 1',
            'default' => '#8DE7E5',
        ],
        [
            'id'      => 'theme_gradient_4_2',
            'type'    => 'color',
            'title'   => 'Color 2',
            'default' => '#F7D98F',
        ],
        [
            'id'      => 'theme_gradient_4_3',
            'type'    => 'color',
            'title'   => 'Color 3',
            'default' => '#F497CF',
        ],
        [
            'id'      => 'theme_gradient_4_4',
            'type'    => 'color',
            'title'   => 'Color 4',
            'default' => '#9190f6',
        ],
    ],
] );