<?php

CSF::createSection( $prefix . '_theme_options', [
    'title'  => 'Preloader ON/OFF',
    'parent' => 'theme_settings',
    'priority' => 1,
    'fields' => [
        [
            'id'      => 'preloader_enable',
            'title'   => esc_html__( 'Enable Preloader', 'future-core' ),
            'type'    => 'switcher',
            'desc'    => esc_html__( 'Enable or Disable Preloader', 'future-core' ),
            'default' => true,
        ],
        // preloader image
        [
            'id'       => 'preloader_image',
            'type'     => 'media',
            'title'    => esc_html__( 'Preloader Image', 'future-core' ),
            'desc'     => esc_html__( 'Upload Preloader Image', 'future-core' ),
            'default'  => [
                'url' => get_template_directory_uri() . '/assets/img/preloader.svg',
            ],
            'dependency' => ['preloader_enable', '==', 'true'],
        ],

        // size
        [
            'id'          => 'preloader_image_width',
            'type'        => 'slider',
            'title'       => 'Width',
            'min'         => 50,
            'max'         => 300,
            'step'        => 1,
            'unit'        => 'px',
            'output'      => '#preloader img',
            'output_mode' => 'max-width',
        ],
    ],
] );