<?php

// Control core classes for avoid errors
if ( class_exists( 'CSF' ) ) {

    CSF::createWidget( 'conact_info_widget', [
        'title'       => 'Future Contact Info Widget',
        'classname'   => 'tx-contactInfo-widget',
        'fields'      => [
            // image
            [
                'id'    => 'bg_image',
                'type'  => 'media',
                'title' => 'Image',
            ],
            [
                'id'    => 'icon',
                'type'  => 'icon',
                'title' => 'Icon',
            ],
            // number
            [
                'id'    => 'number',
                'type'  => 'text',
                'title' => 'Number',
            ],
            // office hour
            [
                'id'    => 'office_hour',
                'type'  => 'textarea',
                'title' => 'Office Hour',
            ],
        ],
    ] );

    if ( !function_exists( 'conact_info_widget' ) ) {
        function conact_info_widget( $args, $instance ) {

            echo $args['before_widget'];

            $bg_image = $instance['bg_image'];
            $icon = $instance['icon'];
            $number = $instance['number'];
            $office_hour = $instance['office_hour'];

            $html = '';

            $html .= '
            <div class="sidebar-widget contact-widget">
                <div class="image" style="background-image: url('.esc_url($bg_image['url']).')">
                    <div class="phone_icon">
                        <i class="'.esc_attr($icon).'"></i>
                    </div>
                    <a class="contact-widget_number" href="tel:'.esc_attr($number).'">'.esc_html($number).'</a>
                    <div class="contact-widget_text">'.esc_html($office_hour).'</div>
                </div>
            </div>
            ';


            echo $html;

            echo $args['after_widget'];

        }
    }

}
