(function($) {

	"use strict";
	/**
	 * Copyright 2012, Digital Fusion
	 * Licensed under the MIT license.
	 * http://teamdf.com/jquery-plugins/license/
	 *
	 * @author Sam Sehnert
	 * @desc A small plugin that checks whether elements are within
	 *     the user visible viewport of a web browser.
	 *     only accounts for vertical position, not horizontal.
	 */

	$.fn.visible = function (partial) {
		var $t = $(this),
			$w = $(window),
			viewTop = $w.scrollTop(),
			viewBottom = viewTop + $w.height(),
			_top = $t.offset().top,
			_bottom = _top + $t.height(),
			compareTop = partial === true ? _bottom : _top,
			compareBottom = partial === true ? _top : _bottom;

		return compareBottom <= viewBottom && compareTop >= viewTop;
	};


function imageBoxActive($scope, $) {

  jQuery(window).on("scroll", function () {
    jQuery(
      ".request-one_image, .cost-one_image, .time-one_image, .cost-two_image, .service-six_image"
    ).each(function (i, el) {
      var el = $(el);
      if (el.visible(true)) {
        el.addClass("now-in-view");
      } else {
        el.removeClass("now-in-view");
      }
    });
  });

  jQuery(document).on("ready", function () {
    jQuery(
      ".request-one_image, .cost-one_image, .time-one_image, .cost-two_image, .service-six_image"
    ).each(function (i, el) {
      var el = $(el);
      if (el.visible(true)) {
        el.addClass("now-in-view");
      } else {
        el.removeClass("now-in-view");
      }
    });
  });
}

const serviceImgItem = document.querySelectorAll(".team-block_two-inner");
function followImageCursor(event, serviceImgItem) {
	const contentBox = serviceImgItem.getBoundingClientRect();
	const dx = event.clientX - contentBox.x;
	const dy = event.clientY - contentBox.y;
	serviceImgItem.children[3].style.transform = `translate(${dx}px, ${dy}px)`;
}

serviceImgItem.forEach((item, i) => {
	item.addEventListener("mousemove", (event) => {
		setInterval(followImageCursor(event, item), 1000);
	});
});


$(window).on('elementor/frontend/init', function () {
  elementorFrontend.hooks.addAction('frontend/element_ready/image_box.default', imageBoxActive);
});

})(jQuery);