<?php

// DEFINE CONSTANTS
define( 'FUTURE_THEME_DIR', get_template_directory() );
define( 'FUTURE_THEME_URI', get_template_directory_uri() );
define( 'FUTURE_THEME_CSS_DIR', FUTURE_THEME_URI . '/assets/css/' );
define( 'FUTURE_THEME_JS_DIR', FUTURE_THEME_URI . '/assets/js/' );
define( 'FUTURE_THEME_INC', FUTURE_THEME_DIR . '/inc/' );
define( 'FUTURE_CORE_PLUG_DIR', plugins_url( 'future-core/assets/' ) );
define( 'FUTURE_CORE', in_array( 'future-core/future-core.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) );

// INCLUDE CS FRAMEWORK FILE
require FUTURE_THEME_INC . 'csf-functions.php';

if ( !defined( 'FUTURE_WOOCOMMERCE_ACTIVED' ) ) {
    define( 'FUTURE_WOOCOMMERCE_ACTIVED', in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) );
}

if ( site_url() == "https://themexriver.com/wp/future" OR site_url() == 'http://localhost:10089' ) {
    define( 'VERSION', time() );
} else {
    define( 'VERSION', wp_get_theme()->get( 'Version' ) );
}

if ( FUTURE_WOOCOMMERCE_ACTIVED ) {
    require_once FUTURE_THEME_INC . '/woocommerce/woo-actions.php';
    require_once FUTURE_THEME_INC . '/woocommerce/woo-mini-cart.php';
    require_once FUTURE_THEME_INC . '/woocommerce/woo-pagination.php';
    require_once FUTURE_THEME_INC . '/woocommerce/future-woocommerce.php';
    require_once FUTURE_THEME_INC . '/woocommerce/woo-rating.php';
    require_once FUTURE_THEME_INC . '/woocommerce/woo-content.php';
}

// INCLUDE FUTURE AFTER SETUP
require FUTURE_THEME_INC . 'future-after-setup.php';

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function future_content_width() {
    // This variable is intended to be overruled from themes.
    // Open WPCS issue: {@link https://github.com/WordPress-Coding-Standards/WordPress-Coding-Standards/issues/1043}.
    // phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound
    $GLOBALS['content_width'] = apply_filters( 'future_content_width', 640 );
}
add_action( 'after_setup_theme', 'future_content_width', 0 );

// INCLUDE FUTURE REGISTER WIDGETS
require FUTURE_THEME_INC . 'future-register-widgets.php';

// INCLUDE FUTURE ENQUEUE SCRIPTS
require FUTURE_THEME_INC . 'future-enqueue-scripts.php';

// INCLUDE CUSTOM HEADER
require FUTURE_THEME_INC . 'custom-header.php';

// INCLUDE CUSTOM FUNCTIONS FILE
require FUTURE_THEME_INC . 'future-functions.php';

// INCLUDE CUSTOM CSS
require FUTURE_THEME_INC . 'future-custom-css.php';

// INCLUDE DEFAULT COMMENT
require FUTURE_THEME_INC . 'future-comment.php';

// INCLUDE LOGO FILE
require FUTURE_THEME_INC . 'layouts/future-logos.php';

// INCLUDE MENU FILE
require FUTURE_THEME_INC . 'layouts/future-menus.php';

// INCLUDE DEFAULT BREADCRUMB
require FUTURE_THEME_INC . 'layouts/future-breadcrumb.php';

// INCLUDE MENU FILE
require FUTURE_THEME_INC . 'layouts/future-sideinfo.php';

// INCLUDE ALL ACTION FILE
require FUTURE_THEME_INC . 'layouts/future-actions.php';

// INCLUDE SOCIAL LINKS FILE
require FUTURE_THEME_INC . 'layouts/future-social-links.php';

// INCLUDE DEFAULT HEADER
require FUTURE_THEME_INC . 'layouts/future-default-header.php';

// INCLUDE FOOTER FILE
require FUTURE_THEME_INC . 'layouts/future-default-footer.php';

// INCLUDE SEARCH WIDGET FILE
require FUTURE_THEME_INC . 'future-search-widget.php';

// LOAD JETPACK COMPATIBILITY FILE
if ( defined( 'JETPACK__VERSION' ) ) {
    require FUTURE_THEME_INC . 'jetpack.php';
}

// ALL CLASS FILE
include_once FUTURE_THEME_INC . 'classes/class-future-helper.php';
require_once FUTURE_THEME_INC . 'classes/class-breadcrumb.php';
require_once FUTURE_THEME_INC . 'classes/class-navwalker.php';
require_once FUTURE_THEME_INC . 'classes/class-tgm-plugin-activation.php';
require_once FUTURE_THEME_INC . 'required-plugin.php';
