<?php
// logo css
function future_primary_color() {
    wp_enqueue_style( 'future-primary-color', FUTURE_THEME_CSS_DIR . 'future-custom.css', [] );

    $options = [
        'theme_primary_color',
        'theme_secondary_color',
        'theme_gradient_1_1',
        'theme_gradient_1_2',
        'theme_gradient_1_3',
        'theme_gradient_1_4',
        'theme_gradient_2_1',
        'theme_gradient_2_2',
        'theme_gradient_2_3',
        'theme_gradient_2_4',
        'theme_gradient_3_1',
        'theme_gradient_3_2',
        'theme_gradient_3_3',
        'theme_gradient_3_4',
        'theme_gradient_4_1',
        'theme_gradient_4_2',
        'theme_gradient_4_3',
        'theme_gradient_4_4',
    ];

    foreach ( $options as $option ) {
        if ( !empty( cs_get_option( $option ) ) ) {
            $custom_css = '
                :root {
                    --main-color: ' . esc_attr( cs_get_option( 'theme_primary_color' ) ) . ';
                    --main-color-2: ' . esc_attr( cs_get_option( 'theme_secondary_color' ) ) . ';
                    --theme-gradient-1: linear-gradient(to right, ' . esc_attr( cs_get_option( 'theme_gradient_1_1' ) ) . ' 0%, ' . esc_attr( cs_get_option( 'theme_gradient_1_2' ) ) . ' 25%, ' . esc_attr( cs_get_option( 'theme_gradient_1_3' ) ) . ' 75%, ' . esc_attr( cs_get_option( 'theme_gradient_1_4' ) ) . ' 100%);
                    --theme-gradient-2: linear-gradient(to right, ' . esc_attr( cs_get_option( 'theme_gradient_2_1' ) ) . ' 0%, ' . esc_attr( cs_get_option( 'theme_gradient_2_2' ) ) . ' 25%, ' . esc_attr( cs_get_option( 'theme_gradient_2_3' ) ) . ' 75%, ' . esc_attr( cs_get_option( 'theme_gradient_2_4' ) ) . ' 100%);
                    --theme-gradient-3: linear-gradient(to right, ' . esc_attr( cs_get_option( 'theme_gradient_3_1' ) ) . ' 0%, ' . esc_attr( cs_get_option( 'theme_gradient_3_2' ) ) . ' 25%, ' . esc_attr( cs_get_option( 'theme_gradient_3_3' ) ) . ' 75%, ' . esc_attr( cs_get_option( 'theme_gradient_3_4' ) ) . ' 100%);
                    --theme-gradient-4: linear-gradient(to right, ' . esc_attr( cs_get_option( 'theme_gradient_4_1' ) ) . ' 0%, ' . esc_attr( cs_get_option( 'theme_gradient_4_2' ) ) . ' 25%, ' . esc_attr( cs_get_option( 'theme_gradient_4_3' ) ) . ' 75%, ' . esc_attr( cs_get_option( 'theme_gradient_4_4' ) ) . ' 100%);
                }
            ';
            wp_add_inline_style( 'future-primary-color', $custom_css );
            break;
        }
    }
}
add_action( 'wp_enqueue_scripts', 'future_primary_color' );
