<?php

/**
 * future_scripts description
 * @return [type] [description]
 */
function future_scripts() {

    wp_enqueue_style( 'future-fonts', future_fonts_url(), [], null );
    wp_enqueue_style( 'bootstrap-min', FUTURE_THEME_CSS_DIR . 'bootstrap.min.css', [] );
    wp_enqueue_style( 'animate', FUTURE_THEME_CSS_DIR . 'animate.css', [] );
    wp_enqueue_style( 'custom-animate', FUTURE_THEME_CSS_DIR . 'custom-animate.css', [], VERSION );
    wp_enqueue_style( 'flaticon', FUTURE_THEME_CSS_DIR . 'flaticon.css', [], VERSION );
    wp_enqueue_style( 'font-awesome-min', FUTURE_THEME_CSS_DIR . 'font-awesome-min.css', [] );
    wp_enqueue_style( 'future-global', FUTURE_THEME_CSS_DIR . 'future-global.css', [], VERSION );
    wp_enqueue_style( 'future-header', FUTURE_THEME_CSS_DIR . 'future-header.css', [], VERSION );
    wp_enqueue_style( 'future-footer', FUTURE_THEME_CSS_DIR . 'future-footer.css', [], VERSION );
    wp_enqueue_style( 'future-hover', FUTURE_THEME_CSS_DIR . 'future-hover.css', [], VERSION );
    wp_enqueue_style( 'future-preloader', FUTURE_THEME_CSS_DIR . 'future-preloader.css', [], VERSION );
    wp_enqueue_style( 'icofont', FUTURE_THEME_CSS_DIR . 'icofont.css', [], VERSION );
    wp_enqueue_style( 'jquery-bootstrap-touchspin', FUTURE_THEME_CSS_DIR . 'jquery.bootstrap-touchspin.css', [], VERSION );
    wp_enqueue_style( 'jquery-ui', FUTURE_THEME_CSS_DIR . 'jquery-ui.css', [], VERSION );
    wp_enqueue_style( 'magnific-popup', FUTURE_THEME_CSS_DIR . 'magnific-popup.css', [], VERSION );
    wp_enqueue_style( 'nice-select-min', FUTURE_THEME_CSS_DIR . 'nice-select.min.css', [], VERSION );
    wp_enqueue_style( 'swiper-min', FUTURE_THEME_CSS_DIR . 'swiper.min.css', [], VERSION );
    wp_enqueue_style( 'odometer-min', FUTURE_THEME_CSS_DIR . 'odometer.min.css', [], VERSION );
    wp_enqueue_style( 'future-core', FUTURE_THEME_CSS_DIR . 'future-core.css', [], VERSION );
    wp_enqueue_style( 'future-responsive', FUTURE_THEME_CSS_DIR . 'future-responsive.css', [], VERSION );
    wp_enqueue_style( 'default', FUTURE_THEME_CSS_DIR . 'default.css', [] );
    wp_enqueue_style( 'future-companion', FUTURE_THEME_CSS_DIR . 'future-companion.css', [] );
    wp_enqueue_style( 'future-custom', FUTURE_THEME_CSS_DIR . 'future-custom.css', [] );
    wp_enqueue_style( 'future-woocommerce', FUTURE_THEME_CSS_DIR . 'future-woocommerce.css', [] );
    wp_enqueue_style( 'future-style', get_stylesheet_uri() );

    $my_current_lang = apply_filters( 'wpml_current_language', NULL );

    $enable_rtl = cs_get_option( 'enable_rtl', false );
    if ( $my_current_lang != 'en' && $enable_rtl || is_rtl() ) {
        wp_enqueue_style( 'future-rtl', FUTURE_THEME_CSS_DIR . 'future-rtl.css', [] );
    }

    // all js files
    wp_enqueue_script( 'bootstrap-min', FUTURE_THEME_JS_DIR . 'bootstrap-min.js', ['jquery'], false, true );
    wp_enqueue_script( 'appear', FUTURE_THEME_JS_DIR . 'appear.js', ['jquery'], false, true );
    wp_enqueue_script( 'element-in-view', FUTURE_THEME_JS_DIR . 'element-in-view.js', ['jquery'], false, true );
    wp_enqueue_script( 'gsap-min', FUTURE_THEME_JS_DIR . 'gsap.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'isotope', FUTURE_THEME_JS_DIR . 'isotope.js', ['jquery'], false, true );
    wp_enqueue_script( 'jquery-easing-min', FUTURE_THEME_JS_DIR . 'jquery.easing.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'jquery-marquee-min', FUTURE_THEME_JS_DIR . 'jquery.marquee.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'jquery-meanmenu-min', FUTURE_THEME_JS_DIR . 'jquery.meanmenu.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'knob', FUTURE_THEME_JS_DIR . 'knob.js', ['jquery'], false, true );
    wp_enqueue_script( 'magnific-popup-min', FUTURE_THEME_JS_DIR . 'magnific-popup.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'mixitup', FUTURE_THEME_JS_DIR . 'mixitup.js', ['jquery'], false, true );
    wp_enqueue_script( 'nav-tool', FUTURE_THEME_JS_DIR . 'nav-tool.js', ['jquery'], false, true );
    wp_enqueue_script( 'odometer-min', FUTURE_THEME_JS_DIR . 'odometer.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'parallax-min', FUTURE_THEME_JS_DIR . 'parallax.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'parallax-scroll', FUTURE_THEME_JS_DIR . 'parallax-scroll.js', ['jquery'], false, true );
    wp_enqueue_script( 'ScrollSmoother-min', FUTURE_THEME_JS_DIR . 'ScrollSmoother.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'ScrollToPlugin-min', FUTURE_THEME_JS_DIR . 'ScrollToPlugin.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'ScrollTrigger-min', FUTURE_THEME_JS_DIR . 'ScrollTrigger.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'SplitText-min', FUTURE_THEME_JS_DIR . 'SplitText.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'swiper-min', FUTURE_THEME_JS_DIR . 'swiper.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'tilt-jquery-min', FUTURE_THEME_JS_DIR . 'tilt.jquery.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'touchspin', FUTURE_THEME_JS_DIR . 'touchspin.js', ['jquery'], false, true );
    wp_enqueue_script( 'wow-min', FUTURE_THEME_JS_DIR . 'wow-min.js', ['jquery'], false, true );
    wp_enqueue_script( 'jquery-ui-core', ['jquery'], false, true );
    wp_enqueue_script( 'jquery-nice-select-min', FUTURE_THEME_JS_DIR . 'jquery-nice-select.min.js', ['jquery'], false, true );
    wp_enqueue_script( 'future-custom', FUTURE_THEME_JS_DIR . 'future-custom.js', ['jquery'], false, true );

    if ( $my_current_lang != 'en' && $enable_rtl || is_rtl() ) {
        wp_enqueue_script( 'future-core-rtl', FUTURE_THEME_JS_DIR . 'future-core-rtl.js', ['jquery'], VERSION, true );
    } else {
        wp_enqueue_script( 'future-core', FUTURE_THEME_JS_DIR . 'future-core.js', ['jquery'], VERSION, true );
    }

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }

}
add_action( 'wp_enqueue_scripts', 'future_scripts' );