<?php

/**
 * Default Header Style
 */
function future_default_header() {
    if ( has_nav_menu( 'main-menu' ) ) {
        $no_menu_class = '';
    } else {
        $no_menu_class = 'no-menu ';
    }

    ?>
	<header class="main-header tx-header" data-txStickyHeader>
        <div class="header-lower">
            <div class="auto-container">
				<div class="inner-container d-flex align-items-center justify-content-between">
					<div class="logo-box">
						<div class="logo">
							<?php function_exists( 'future_header_logo' ) ? future_header_logo() : '';?>
						</div>
					</div>

					<div class="nav-outer d-flex align-items-center">
						<nav class="main-menu show navbar-expand-md">
							<div class="navbar-header">
								<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
									<span class="icon-bar"></span>
									<span class="icon-bar"></span>
									<span class="icon-bar"></span>
								</button>
							</div>
							<div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
								<?php function_exists( 'future_header_menu' ) ? future_header_menu( 'main-menu' ) : null;?>
							</div>
						</nav>
					</div>

					<div class="outer-box d-flex align-items-center">
						<div class="mobile-nav-toggler">
							<span class="icon"><img src="<?php echo get_template_directory_uri(  ); ?>/assets/img/icons/menu-light.png" alt="" /></span>
						</div>
					</div>
				</div>
			</div>
        </div>
        <!-- End Header Lower -->

		<!-- Mobile Menu  -->
        <div class="mobile-menu">
            <div class="menu-backdrop"></div>
            <div class="close-btn"><span class="icon fa-solid fa-xmark fa-fw"></span></div>
            <nav class="menu-box">
                <div class="nav-logo">
					<?php function_exists( 'future_header_logo' ) ? future_header_logo() : '';?>
				</div>
				<div class="menu-outer"></div>
            </nav>
        </div>
		<!-- End Mobile Menu -->
    </header>

    <?php
}
