<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package future
 */
    $author_bio_avatar_size = 40;
    $future_enable_social_share = cs_get_option( 'future_enable_social_share' );

    $has_thumb = '';
    if(has_post_thumbnail()) {
        $has_thumb = 'has-thumbnail';
    } else {
        $has_thumb = 'has-nOthumbnail';
    }

    if ( is_single() ):
?>

    <article id="post-<?php the_ID(); ?>"  <?php post_class( 'tx-blog-box tx-blogDetails-box'); ?>>

        <?php if ( has_post_thumbnail() ): ?>
        <div class="image">
            <?php the_post_thumbnail( 'full', ['class' => 'img-responsive w-100'] ); ?>
        </div>
        <?php endif; ?>

        <div class="tx-blogDetails-box__wrapper <?php echo esc_attr($has_thumb); ?>">
            <div class="content">
                <div class="d-flex justify-content-between align-items-center flex-wrap">
                    <div class="blog-detail_date"><?php the_time( get_option( 'date_format' ) );?></div>
                    <ul class="blog-detail_post-options">
                        <li><span class="icon fa-solid fa-comment fa-fw"></span><?php echo get_comments_number(); ?></li>
                    </ul>
                </div>
            </div>

            <div class="post-details-content mt-25 fix">
                <?php the_content(); ?>
            </div>

            <?php if( FUTURE_CORE ) : ?>
            <div class="post-share-option fix pt-30">
                <div class="post-share-inner d-flex justify-content-between flex-wrap">
                    <div class="post-tags">
                        <?php if(function_exists('future_get_tag')) {
                                print future_get_tag();
                            }
                        ?>
                    </div>
                    <?php if(function_exists('future_social_share') && $future_enable_social_share == true) {
                            print future_social_share();
                        }
                    ?>
                </div>
            </div>
            <?php endif; ?>

            <div class="post-page-wrapper">
                <?php
                    wp_link_pages( [
                        'before'      => '<div class="page-links mt-40 mb-55">' . esc_html__( 'Pages:', 'future' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',
                    ] );
                ?>
            </div>
        </div>
    </article>

    <?php else: ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class( 'tx-blog-box news-block_three'); ?>>

        <div class="news-block_three-inner <?php echo esc_attr($has_thumb); ?>">
            <div class="news-block_three-image">
                <?php if ( has_post_thumbnail() ): ?>
                <a href="<?php the_permalink(); ?>">
                    <?php the_post_thumbnail( 'full', ['class' => 'img-responsive w-100'] ); ?>
                </a>
                <?php endif; ?>
                <ul class="news-block_three-meta">
                    <li>
                        <a href="<?php echo get_day_link(get_the_time('Y'), get_the_time('M'), get_the_time('j'));?>">
                            <span class="icon fas fa-calendar-alt fa-fw"></span> <?php the_time( get_option( 'date_format' ) );?>
                        </a>
                    </li>
                    <li>
                        <a href="<?php the_permalink(); ?>">
                            <span class="icon fas fa-comment fa-fw"></span>
                            <?php
                                comments_number( '0', '1', '%' );
                                $comment_count = get_comments_number();
                                if ($comment_count === '1') {
                                    echo __(' Comment', 'future');
                                } else {
                                    echo __(' Comments', 'future');
                                }
                            ?>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="news-block_three-content">
                <h4 class="news-block_two-heading"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                <div class="post-excerpt news-block_two-text">
                    <?php the_excerpt();?>
                </div>

                <div class="news-block_two_button">
                    <a class="btn-style-four theme-btn" href="<?php the_permalink(); ?>">
                        <div class="btn-wrap">
                            <span class="text-one"><?php echo esc_html__('READ MORE', 'future'); ?> <i class="fas fa-arrow-right fa-fw"></i></span>
                            <span class="text-two"><?php echo esc_html__('READ MORE', 'future'); ?> <i class="fas fa-arrow-right fa-fw"></i></span>
                        </div>
                    </a>
                </div>
            </div>
        </div>
    </article>

<?php endif; ?>
