<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package future
 */
    $author_bio_avatar_size = 40;
    $future_enable_social_share = cs_get_option( 'future_enable_social_share' );

    // enable_blog_button
    $enable_blog_button = cs_get_option( 'enable_blog_button' );
    $blog_button_text = cs_get_option( 'blog_button_text', __('Read More', 'future') );
    $blog_button_icon = cs_get_option( 'blog_button_icon', 'flaticon-arrow-pointing-to-right' );
    $excerpt_length = cs_get_option( 'excerpt_length', 180 );
    $enable_default_date = cs_get_option( 'enable_default_date' );
    $future_enable_post_view = cs_get_option( 'future_enable_post_view' );

    $has_thumb = '';
    if(has_post_thumbnail()) {
        $has_thumb = 'has-thumbnail';
    } else {
        $has_thumb = 'has-nOthumbnail';
    }
    $id = get_the_ID();

    if ( is_single() ):
?>

    <article id="post-<?php the_ID(); ?>"  <?php post_class( 'tx-blog-box tx-blogDetails-box'); ?>>

        <?php if ( has_post_thumbnail() ): ?>
        <div class="image mb-30">
            <?php the_post_thumbnail( 'full', ['class' => 'img-responsive w-100'] ); ?>
        </div>
        <?php endif; ?>

        <div class="tx-blogDetails-box__wrapper <?php echo esc_attr($has_thumb); ?>">
            <ul class="tx-postMeta-list list-unstyled d-flex align-items-center mb-0 p-0">
                <li class="tx-postMeta-list__item">
                    <span class="icon far fa-user fa-fw"></span>
                    <?php the_author_posts_link(); ?>
                </li>
                <li class="tx-postMeta-list__item">
                    <span class="icon far fa-calendar-alt fa-fw"></span>
                    <?php the_time( get_option( 'date_format' ) );?>
                </li>
                <li class="tx-postMeta-list__item">
                    <span class="icon far fa-comment fa-fw"></span>
                    <?php
                        echo get_comments_number();
                        echo esc_html__(' Comments', 'future');
                    ?>
                </li>
            </ul>

            <div class="post-details-content mt-25 fix">
                <?php the_content(); ?>
            </div>

            <?php if( FUTURE_CORE ) : ?>
            <div class="post-share-option fix pt-30">
                <div class="post-share-inner d-flex justify-content-between flex-wrap">
                    <div class="post-tags">
                        <?php if(function_exists('future_get_tag')) {
                                print future_get_tag();
                            }
                        ?>
                    </div>
                    <?php if(function_exists('future_social_share') && $future_enable_social_share == true) {
                            print future_social_share();
                        }
                    ?>
                </div>
            </div>
            <?php endif; ?>

            <div class="post-page-wrapper">
                <?php
                    wp_link_pages( [
                        'before'      => '<div class="page-links mt-40 mb-55">' . esc_html__( 'Pages:', 'future' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',
                    ] );
                ?>
            </div>
        </div>
    </article>

    <?php else: ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class( 'tx-blog-box mt-40'); ?>>
        <?php if ( has_post_thumbnail() ): ?>
        <div class="tx-thumb mb-30">
            <a href="<?php the_permalink(); ?>">
                <?php the_post_thumbnail( 'full', ['class' => 'img-responsive w-100'] ); ?>
            </a>
        </div>
        <?php endif; ?>

        <ul class="tx-postMeta-list list-unstyled d-flex align-items-center mb-0 p-0">
            <li class="tx-postMeta-list__item">
                <span class="icon far fa-user fa-fw"></span>
                <?php the_author_posts_link(); ?>
            </li>
            <li class="tx-postMeta-list__item">
                <span class="icon far fa-calendar-alt fa-fw"></span>
                <?php the_time( get_option( 'date_format' ) );?>
            </li>
            <li class="tx-postMeta-list__item">
                <span class="icon far fa-comment fa-fw"></span>
                <?php
                    echo get_comments_number();
                    echo esc_html__(' Comments', 'future');
                 ?>
            </li>
        </ul>

        <div class="tx-contentm mt-20">
            <h2 class="tx-title news-block_two-heading">
                <a href="<?php the_permalink(); ?>">
                    <?php the_title(); ?>
                </a>
            </h2>
            <?php if(!empty( get_the_excerpt() )) : ?>
            <div class="tx-excerpt news-block_two-text mt-20">
                <?php
                    $excerpt = get_the_excerpt(); $excerpt = substr( $excerpt, 0, $excerpt_length );
                    echo esc_html($excerpt);
                ?>
            </div>
            <?php endif; ?>

            <div class="news-block_two-button">
                <a class="btn-style-one theme-btn" href="<?php the_permalink(); ?>">
                    <div class="btn-wrap">
                        <span class="text-one"><?php echo esc_html($blog_button_text); ?>
                         <?php if(!empty( $blog_button_icon )) : ?>
                            <i class="<?php echo esc_attr($blog_button_icon); ?>"></i>
                        <?php endif; ?>
                        </span>
                        <span class="text-two"><?php echo esc_html($blog_button_text); ?>
                        <?php if(!empty( $blog_button_icon )) : ?>
                            <i class="<?php echo esc_attr($blog_button_icon); ?>"></i>
                        <?php endif; ?>
                        </span>
                    </div>
                </a>
            </div>
        </div>
    </article>

<?php endif; ?>
