<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package future
 */

get_header();

$blog_column = is_active_sidebar( 'blog-sidebar' ) ? 'col-lg-9 col-md-12 col-sm-12' : 'col-lg-12 col-md-12 col-sm-12';
$blog_class = is_active_sidebar( 'blog-sidebar' ) ? 'has-sidebar' : 'no-sidebar';
?>

<div class="tx-blog-area blog-one pt-100 pb-80">
    <div class="auto-container">
        <div class="row clearfix">
			<div class="<?php print esc_attr( $blog_column );?>">
				<div class="blog__wrapper <?php print esc_attr( $blog_class );?>">
					<?php
						if ( have_posts() ):
    					if ( is_home() && !is_front_page() ):
    				?>
					<header>
						<h1 class="page-title screen-reader-text"><?php single_post_title();?></h1>
					</header>

					<?php
						endif;
							/* Start the Loop */
							while ( have_posts() ): the_post();
								get_template_part( 'post-formats/content', get_post_format() );
							endwhile;
						?>
						<div class="pagination-outer text-center tx-pagination">
							<?php
								future_pagination( '
								<span class="flaticon-left-arrow-2"></span>',
								'<span class="fa-solid fa-arrow-right fa-fw"></span>',
								'',
								['class' => ''] );
							?>
						</div>
						<?php
						else:
							get_template_part( 'post-formats/content', 'none' );
						endif;
					?>
				</div>
			</div>

			<?php if ( is_active_sidebar( 'blog-sidebar' ) ): ?>
			<div class="col-lg-3 col-md-12 col-sm-12">
				<div class="tx-sidebarWrapper sidebar-side">
					<?php get_sidebar();?>
				</div>
			</div>
			<?php endif;?>
        </div>
    </div>
</div>

<?php
get_footer();
