<?php
/**
 * Display single product reviews (comments)
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-review-forms.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see        https://docs.woocommerce.com/document/template-structure/
 * @author        WooThemes
 * @package    WooCommerce/Templates
 * @version     4.3.1
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $product;

if (!comments_open()) {
    return;
}

?>




                <?php if (have_comments()) : ?>
                <div class="tx-commentsWrapper">
                    <div class="pp-comments">
                    <?php wp_list_comments(apply_filters('woocommerce_product_review_list_args', array('callback' => 'woocommerce_comments', 'style' => '',))); ?>

                    <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) :
                        echo '<nav class="woocommerce-pagination">';
                        paginate_comments_links(apply_filters('woocommerce_comment_pagination_args', array(
                            'prev_text' => '&larr;',
                            'next_text' => '&rarr;',
                            'type' => 'list',
                        )));
                        echo '</nav>';
                    endif; ?>

                    <?php else : ?>

                    <div class="title"><?php esc_html_e('There are no reviews yet.', 'future'); ?></div>

                <?php endif; ?>


            <?php if (get_option('woocommerce_review_rating_verification_required') === 'no' || wc_customer_bought_product('', get_current_user_id(), $product->get_id())) : ?>

            <div class="pp-comments-form mt-40">
                <div id="reviews" class="review-form">
                    <div class="tx-review-form" id="review_form">
                        <?php
                        $commenter = wp_get_current_commenter();

                        $comment_form = array(
                            'title_reply' => '<h4 class="tx-title">' . esc_html__('Add a Review', 'future') . '</h4>',
                            'title_reply_to' => esc_html__('Leave a Reply to %s', 'future'),
                            'title_reply_before' => '<div id="reply-title" class="comment-reply-title">',
                            'title_reply_after' => '</div>',
                            'comment_notes_after' => '',

                            'fields' => array(

                            'author' => '
                            <div class="row">
                                    <div class="col-lg-6 col-md-12 col-sm-12 col-xs-12 form-group">
                                        <div class="tx-input-field mt-20">
                                            <input placeholder="'.esc_html__('Name','future').'" id="author" name="author" type="text" value="' . esc_attr($commenter['comment_author']) . '" required />
                                        </div>
                                    </div>',

                                'email' => '
                                <div class="col-lg-6 col-md-12 col-sm-12 col-xs-12 form-group">
                                    <div class="tx-input-field mt-20">
                                    ' . '<input placeholder="'.esc_html__('Email','future').'"  id="email" name="email" type="email" value="' . esc_attr($commenter['comment_author_email']) . '" required />
                                    </div>
                                </div>
                            </div>',

                            ),

                            'submit_button' => '<div class="row"><div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 form-group"><button class="tx-button tx-button__styleTheme theme-btn btn-style-one mt-30" type="submit">
                            <div class="btn-wrap">
                                <span class="text-one">' . esc_html__('Post Review', 'future') . '</span>
                                <span class="text-two">' . esc_html__('Post Review', 'future') . '</span>
                            </div>
                            </button>
                            </div></div>',
                            'logged_in_as' => '',
                            'comment_field' => '',
                        );

                        if ($account_page_url = wc_get_page_permalink('myaccount')) {
                            $comment_form['must_log_in'] = '<p class="must-log-in">' . sprintf(esc_html__('You must be <a href="%s">logged in</a> to post a review.', 'future'), esc_url($account_page_url)) . '</p>';
                        }

                        if (get_option('woocommerce_enable_review_rating') === 'yes') {
                            $comment_form['comment_field'] = '<div class="future-review d-flex align-items-center mb-20">
                                    <span>'.esc_html__('Your Rating:','future').'</span>
                                    <select class="d-none" name="rating" id="rating" required>
                                        <option value="">' . esc_html__('Rate&hellip;', 'future') . '</option>
                                        <option value="5">' . esc_html__('Perfect', 'future') . '</option>
                                        <option value="4">' . esc_html__('Good', 'future') . '</option>
                                        <option value="3">' . esc_html__('Average', 'future') . '</option>
                                        <option value="2">' . esc_html__('Not that bad', 'future') . '</option>
                                        <option value="1">' . esc_html__('Very poor', 'future') . '</option>
                                    </select>
                                    </div>';
                        }

                        $comment_form['comment_field'] .= '
                        <div class="row">
                            <div class="col-md-12 form-group">
                                <div class="tx-input-field">
                                    <textarea placeholder="'.esc_html__('Your Review','future').'"  id="comment2" name="comment" cols="30" rows="10" required></textarea>
                                </div>
                            </div>
                        </div>';

                        comment_form(apply_filters('woocommerce_product_review_comment_form_args', $comment_form));
                        ?>
                    </div>
                </div>

            <?php else : ?>
                <p class="woocommerce-verification-required"><?php esc_html_e('Only logged in customers who have purchased this product may leave a review.', 'future'); ?></p>
            <?php endif; ?>
            </div>
    </div>
</div>
