<?php
/**
 * Single variation cart button
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 7.0.1
 */

defined( 'ABSPATH' ) || exit;

global $product;
?>
<div class="tx-quantity-wrapper">
	<div class="woocommerce-variation-add-to-cart variations_button pro-details-action">
		<div class="tx-product-quantity d-flex align-items-center mt-none-15">
			<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

			<?php
					do_action( 'woocommerce_before_add_to_cart_quantity' );

				woocommerce_quantity_input( array(
					'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
					'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
					'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( wp_unslash( $_POST['quantity'] ) ) : $product->get_min_purchase_quantity(), // WPCS: CSRF ok, input var ok.
				) );

				do_action( 'woocommerce_after_add_to_cart_quantity' );
			?>

			<div class="button-box">
					<button type="submit" name="add-to-cart" value="<?php echo esc_attr($product->get_id()); ?>" class="btn-style-one theme-btn mb-0 mt-15">
						<div class="btn-wrap">
							<span class="text-one">
								<?php echo esc_html($product->single_add_to_cart_text()); ?>
								<i class="flaticon-arrow-pointing-to-right"></i>
							</span>
							<span class="text-two">
								<?php echo esc_html($product->single_add_to_cart_text()); ?>
								<i class="flaticon-arrow-pointing-to-right"></i>
							</span>
						</div>
					</button>
				</div>

			<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>

			<input type="hidden" name="add-to-cart" value="<?php echo absint( $product->get_id() ); ?>" />
			<input type="hidden" name="product_id" value="<?php echo absint( $product->get_id() ); ?>" />
			<input type="hidden" name="variation_id" class="variation_id" value="0" />
		</div>
	</div>
</div>