<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see        https://docs.woocommerce.com/document/template-structure/
 * @package    WooCommerce/Templates
 * @version     4.3.1
 */

if (!defined('ABSPATH')) {
    exit;
}

if ($related_products) : ?>
<div class="auto-container">
<div class="row">
    <div class="tx-relatedProduct-wrapper pt-70">

        <h3 class="tx-title mb-0"><?php esc_html_e('Related Products', 'future'); ?></h3>

        <?php woocommerce_product_loop_start(); ?>
        <?php
            $related_class = '';
            if (count($related_products) >= 2){
                $related_class = '';
            }
        ?>
        <div class="row tx-column-gap-20 mt-20 <?php print esc_attr($related_class); ?>">
            <?php foreach ($related_products as $related_product) : ?>
                <div class="col-xl-3 col-lg-6 col-md-6 col-sm-6 mt-20">
                    <?php
                        $post_object = get_post($related_product->get_id());

                        setup_postdata($GLOBALS['post'] =& $post_object);

                        wc_get_template_part('content', 'product'); ?>
                </div>
            <?php endforeach; ?>
        </div>
        <?php woocommerce_product_loop_end(); ?>
    </div>
</div>
</div>


<?php endif;

wp_reset_postdata();
